<?php

class m120612_155927_fix_indices extends CDbMigration
{
    public function safeUp()
    {
        $this->createIndex('status', '{{comments}}', 'status');
        $this->createIndex('user_id', '{{likes}}', 'user_id');
        $this->createIndex('content_id', '{{likes}}', 'content_id');
        $this->createIndex('parent_id', '{{personalisation_attributes}}', 'parent_id');
    }

    public function safeDown()
    {
        $this->dropIndex('status', '{{comments}}');
        $this->dropIndex('user_id', '{{likes}}');
        $this->dropIndex('content_id', '{{likes}}');
        $this->dropIndex('parent_id', '{{personalisation_attributes}}');
    }
}