<?php

class UserRecoveryPasswordChangeWidget extends BaseUserWidget
{
    /**
     * Shows a particular model.
     *
     * @return void
     */
    public function run()
    {
        if (isset($_GET['email'], $_GET['activkey'])) {
            $model = new UserChangePassword;

            if (($userChangePasswordData = Yii::app()->user->getState('UserChangePassword')) != null) {
                $model->attributes = $userChangePasswordData['attributes'];
                foreach ($userChangePasswordData['errors'] as $attribute => $errors) {
                    foreach ($errors as $e) {
                        $model->addError($attribute, $e);
                    }
                }
                Yii::app()->user->setState('UserChangePassword', null);
            }

            $this->render('UserRecoveryPasswordChangeWidget', array('model' => $model, 'email' => $_GET['email'], 'activkey' => $_GET['activkey']));
            return;
        }
        $this->render('UserRecoveryPasswordChangeWidget');

    }
}