<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 */
class m120324_173222_account extends CDbMigration
{
    public function safeUp()
    {
        $this->createTable('{{accounts}}', array(
            'id' => 'pk',
            'user_id' => 'integer',
            'service' => 'string NOT NULL',
            'service_id' => 'string NOT NULL',
            'data' => 'text',
        ));
        $this->createIndex('accounts_user_id_idx', '{{accounts}}', 'user_id');
    }

    public function safeDown()
    {
        $this->dropTable('{{accounts}}');
    }

    /*
     // Use safeUp/safeDown to do migration with transaction
     public function safeUp()
     {
     }

     public function safeDown()
     {
     }
     */
}
