<?php
/**
 * Commands for managing the GenticsImageStore cache
 */
class GenticsImageStoreCommand extends CConsoleCommand
{
    protected $genticsImageStoreModule = null;

    /**
	 * Initializes the command object.
	 */
	public function init()
	{
        $this->genticsImageStoreModule = Yii::app()->getModule('genticsimagestore');
	}

    /**
     * 
     */
    public function actionClearCache() {
        $this->genticsImageStoreModule->clearCache();
    }

    /**
     * 
     */
    public function actionCleanupCache() {
        $this->genticsImageStoreModule->cleanupCache();
    }
}
