<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 */

$imgUrl = $trackerBaseUrl . '/v1/pageviews/';
if (!empty($categories)) {
    $imgUrl .= 'addcat/';
} else {
    $imgUrl .= 'add/';
}
$imgUrl .= urlencode($userId) . '/' . urlencode($pageId) . '/';

// Add the categories (if present) to the URL.
if(!empty($categories)) {
    $first = true;
    foreach ($categories as $category) {
        if (!$first) {
            $imgUrl .= ';';
        } else {
            $first = false;
        }
        $imgUrl .= urlencode($category);
    }
    $imgUrl .= '/';
}

// Add the attributes to the URL.
$first = true;
foreach ($attributes as $name => $value) {
    $attrStr = urlencode($name) . '=' . strval($value);
    if (!$first) {
        $attrStr = ';' . $attrStr;
    } else {
        $first = false;
    }
    $imgUrl .= $attrStr;
}
?>
<img style="display:none;" src="<?php echo $imgUrl ?>" />
