<div class="apalines">
<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Andrey
 * Date: 6/6/13
 * Time: 11:32 AM
 * To change this template use File | Settings | File Templates.
 */


    $apalines = $this->widget('common.modules.apalines.widgets.ApaLinesWidget',
        array(
            'channel' => 'test1,test2,test3',
            'max_age_of_news' => 24*30*12, //about 5 months
            'max_count_of_news' => 50
        )
    );
    $apalines->data;
?>

    <h1>APA LINES NEWS PRESENTATION</h1>

<?php
//Overview
if(!isset($_GET['id'])):
foreach($apalines->data as $line):
?>
 <div class="overview">
    <div class="line">
         <a href="<?php echo $line['detailed_link']; ?>">
            <h3 class="title"><?php echo $line['title']; ?></h3>
         </a>
         <p class="header"><?php echo $line['header']; ?></p>
            <?php if(count($line['multimedia'])){ ?>
            <div class="images_wrapper">
            <div class="images">
             <?php
                foreach($line['multimedia'] as $mm){
                    echo "<a rel='{$mm['doc_id']}' href='{$mm['files']['original']['href']}'>";
                    echo CHtml::image($mm['files']['thumbnail']['href']);
                    echo "</a>";
                }
            ?>
            </div>
            </div>
            <?php }//multimedia if ?>
        <?php
        foreach($line['bg_news'] as $bg_line): ?>
            <div class="bg_line">
                <a href="<?php echo $bg_line['detailed_link']; ?>">
                    <h3 class="title"><?php echo $bg_line['title']; ?></h3>
                </a>
                <p class="header"><?php echo $bg_line['header']; ?></p>
                <?php if(count($bg_line['multimedia'])){ ?>
                <div class="images_wrapper">
                <div class="images">
                    <?php
                    foreach($bg_line['multimedia'] as $mm){
                        echo "<a rel='{$mm['doc_id']}' href='{$mm['files']['original']['href']}'>";
                        echo CHtml::image($mm['files']['thumbnail']['href']);
                        echo "</a>";
                    }
                    ?>
                </div>
                </div>
                <?php }//multimedia if ?>
            </div>
            <?php endforeach; ?>
    </div>
</div>
<?php
endforeach;//line
else:
    $line = $apalines->data;
    if(isset($line)):
        //Detailed view
    ?>
    <div class="detailed_view">
        <div class="images">
            <?php
            if(isset($line['multimedia']) && is_array($line['multimedia'])){
                foreach($line['multimedia'] as $mm){
                    echo "<a rel='{$mm['doc_id']}' href='{$mm['files']['original']['href']}'>";
                    echo CHtml::image($mm['files']['thumbnail']['href']);
                    echo "</a>";
                }
            }
            ?>
        </div>
        <div class="info">
            <h3 class="title"><?php echo $line['title']; ?></h3>
            <p class="header"><?php echo $line['text']; ?></p>
            <?php if(count($line['bg_news'])): ?>
            <div class="child_news">
                <h3>Related news:</h3>
                <ul>
                    <?php
                        foreach($line['bg_news'] as $bg_line){
                            echo "<li><a href='{$bg_line['detailed_link']}'>{$bg_line['title']}</a></li>";
                        }
                    ?>
                </ul>
            </div>
            <?php endif; ?>
        </div>

    </div>
        <?php
        else:
        echo "<h3>The news was not found</h3>";
        endif;//isset($line
endif;
?>
</div>
<style>

.apalines .overview .line{
    border-bottom: 1px dotted blue;
    margin-bottom: 15px;
    padding-bottom: 15px;
}
.apalines .overview .bg_line{
    border-left: 1px solid black;
    margin-left: 30px;
    padding-top: 15px;
    padding-left: 15px;
}
.apalines .overview .images_wrapper{
    overflow: hidden;
}
.apalines .overview .images{
    margin-top: 5px;
    border: 1px solid #000;
    border-radius: 3px;
    padding: 10px;
    clear: both;
    float: left;
    overflow: hidden;
}
.apalines .overview img{
    margin: 10px;
}
.apalines .detailed_view .images,
.apalines .detailed_view .info{
    float: left;
    overflow: hidden;
    padding-left: 15px;
}
.apalines .detailed_view .images{
    padding-top: 100px
}
.apalines .detailed_view .info{
    width: 700px;
    padding-left: 10px;
    margin-left: 10px;
    border-left: 1px solid black;
}
.apalines .detailed_view img{
    margin: 10px;
    clear: both;
    float: left;
}

</style>

<script type="text/javascript">
    $("a").fancybox({
        'transitionIn'		: 'none',
        'transitionOut'		: 'none',
        'titlePosition' 	: 'over',
        'titleFormat'		: function(title, currentArray, currentIndex, currentOpts) {
            return '<span id="fancybox-title-over">Image ' + (currentIndex + 1) + ' / ' + currentArray.length + (title.length ? ' &nbsp; ' + title : '') + '</span>';
        }
    });

</script>
