-- MySQL dump 10.13  Distrib 5.1.62, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: gportal_installation
-- ------------------------------------------------------
-- Server version	5.1.62-1~dotdeb.0

drop database gpnphp;
create database gpnphp;
use gpnphp;

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `AuthAssignment`
--

DROP TABLE IF EXISTS `AuthAssignment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `AuthAssignment` (
  `itemname` varchar(64) NOT NULL,
  `userid` varchar(64) NOT NULL,
  `bizrule` text,
  `data` text,
  PRIMARY KEY (`itemname`,`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `AuthAssignment`
--

LOCK TABLES `AuthAssignment` WRITE;
/*!40000 ALTER TABLE `AuthAssignment` DISABLE KEYS */;
INSERT INTO `AuthAssignment` VALUES ('Admin','1',NULL,'N;'),('Admin','2',NULL,NULL),('Admin','27',NULL,'N;'),('manageComments','30',NULL,'N;'),('Admin','11',NULL,'N;'),('Admin','17',NULL,'N;'),('Admin','14',NULL,'N;'),('Authenticated','16',NULL,'N;'),('commenting','15',NULL,'N;'),('Admin','15',NULL,'N;'),('Authenticated','14',NULL,'N;'),('Guest','14',NULL,'N;'),('writeComment','14',NULL,'N;');
/*!40000 ALTER TABLE `AuthAssignment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `AuthItem`
--

DROP TABLE IF EXISTS `AuthItem`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `AuthItem` (
  `name` varchar(64) NOT NULL,
  `type` int(11) NOT NULL,
  `description` text,
  `bizrule` text,
  `data` text,
  PRIMARY KEY (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `AuthItem`
--

LOCK TABLES `AuthItem` WRITE;
/*!40000 ALTER TABLE `AuthItem` DISABLE KEYS */;
INSERT INTO `AuthItem` VALUES ('Admin',2,'Administrator',NULL,'N;'),('Guest',2,'Guest',NULL,'N;'),('Authenticated',2,'Registered user','return !Yii::app()->user->isGuest;','N;'),('commenting',1,'Commenting something',NULL,'N;'),('writeComment',0,'Write Comment',NULL,'N;'),('readComment',0,'Read Comment',NULL,'N;'),('deleteComment',0,'Delete Comment',NULL,'N;'),('manageComments',1,'Manage Comments',NULL,'N;');
/*!40000 ALTER TABLE `AuthItem` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `AuthItemChild`
--

DROP TABLE IF EXISTS `AuthItemChild`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `AuthItemChild` (
  `parent` varchar(64) NOT NULL,
  `child` varchar(64) NOT NULL,
  UNIQUE KEY `parent` (`parent`,`child`),
  KEY `child_name_ref` (`child`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `AuthItemChild`
--

LOCK TABLES `AuthItemChild` WRITE;
/*!40000 ALTER TABLE `AuthItemChild` DISABLE KEYS */;
INSERT INTO `AuthItemChild` VALUES ('Authenticated','commenting'),('commenting','readComment'),('commenting','writeComment'),('deleteComment','writeComment'),('manageComments','commenting'),('manageComments','deleteComment');
/*!40000 ALTER TABLE `AuthItemChild` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Rights`
--

DROP TABLE IF EXISTS `Rights`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Rights` (
  `itemname` varchar(64) NOT NULL,
  `type` int(11) NOT NULL,
  `weight` int(11) NOT NULL,
  PRIMARY KEY (`itemname`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Rights`
--

LOCK TABLES `Rights` WRITE;
/*!40000 ALTER TABLE `Rights` DISABLE KEYS */;
/*!40000 ALTER TABLE `Rights` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `formdata`
--

DROP TABLE IF EXISTS `formdata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `formdata` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `form_id` int(11) unsigned NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `referer` varchar(2083) NOT NULL DEFAULT '',
  `ip` char(15) NOT NULL DEFAULT '',
  `json` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `formdata`
--

LOCK TABLES `formdata` WRITE;
/*!40000 ALTER TABLE `formdata` DISABLE KEYS */;
INSERT INTO `formdata` VALUES (10,20,'2013-02-28 10:32:35','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Overview_Service.en.html','78.142.159.226','{\"input1\":\"userrrr\",\"input2\":\"passssss\"}'),(11,22,'2013-02-28 10:58:42','','78.142.159.226','{\"input1\":\"\",\"input2\":\"\",\"textarea3\":\"\",\"textarea5\":\"\",\"input6\":\"\"}'),(12,23,'2013-02-28 11:31:39','','78.142.159.226','{\"input1\":\"blabla\",\"textarea2\":\"Dies ist ein Testeintrag! Juhai juhai\"}'),(13,24,'2013-02-28 13:22:31','','78.142.159.226','{\"input1\":\"flo\",\"radio2\":\"1\",\"radio3\":\"Radiobutton\"}'),(14,24,'2013-02-28 13:28:57','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Overview_Service.en.html','78.142.159.226','{\"input1\":\"ewfwef\",\"radio2\":\"1\",\"radio3\":\"\"}'),(15,24,'2013-02-28 13:53:54','','78.142.159.226','{\"input1\":\"\",\"radio2\":\"\",\"radio3\":\"\"}'),(16,25,'2013-02-28 14:48:23','','78.142.159.226','{\"input1\":\"test!\"}'),(17,26,'2013-03-04 14:15:09','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Overview_Service.en.html','78.142.159.226','{\"input1\":\"\"}'),(18,26,'2013-03-04 14:15:13','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Overview_Service.en.html','78.142.159.226','{\"input1\":\"\"}'),(19,26,'2013-03-04 14:15:32','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Overview_Service.en.html','78.142.159.226','{\"input1\":\"m\\u00c4RZ!\"}');
/*!40000 ALTER TABLE `formdata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `forms`
--

DROP TABLE IF EXISTS `forms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forms` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `json` text,
  `html` text,
  `user` varchar(255) NOT NULL DEFAULT '',
  `salt` char(32) DEFAULT NULL,
  `creator_email` varchar(255) DEFAULT NULL,
  `thankyou_page` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=27 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forms`
--

LOCK TABLES `forms` WRITE;
/*!40000 ALTER TABLE `forms` DISABLE KEYS */;
INSERT INTO `forms` VALUES (20,'Testformular Flo','{\n    \"type\": \"form\",\n    \"name\": \"Testformular Flo\",\n    \"email\": \"seppi5@gmx.at\",\n    \"database\": true,\n    \"id\": 0,\n    \"elements\": [\n        {\n            \"type\": \"input\",\n            \"name\": \"input1\",\n            \"label\": \"Username\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"Benutzername\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"input\",\n            \"name\": \"input2\",\n            \"label\": \"Password\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"Passwort\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"submit\",\n            \"thankyoupage\": \"\",\n            \"elements\": []\n        }\n    ]\n}','<div id=\"fg-form\" class=\"fg-form\"><form method=\"post\" class=\"ui-droppable ui-sortable\" style=\"\"><script type=\"text/javascript\">$(function(){$( \"#fg-form .row label a.info\" ).live( \"click\", function(e){	e.preventDefault();}).tipsy({	trigger: \"click\",	gravity: \"w\",	live: true});});</script><div class=\"row element-input\" element-id=\"1\" id=\"form-row-1\"><div class=\"content\"><label class=\"labelposition-left\">Username: </label><input type=\"text\" name=\"input1\" value=\"\" original-title=\"Benutzername\"><script type=\"text/javascript\">$(function(){$( \"#form-row-1 .content input\" ).live( \"mouseover\", function() {$(this).attr( \"title\", \"Benutzername\" );$(this).tipsy( {trigger: \"manual\",gravity: $.fn.tipsy.autoWE,opacity: 0.5} ).tipsy( \"show\" );} ).live( \"mouseout\", function() {$(this).tipsy( \"hide\" );} );});</script></div></div><div class=\"row element-input action-edit\" element-id=\"2\" id=\"form-row-2\"><div class=\"content\"><label class=\"labelposition-left\">Password: </label><input type=\"text\" name=\"input2\" value=\"\"><script type=\"text/javascript\">$(function(){$( \"#form-row-2 .content input\" ).live( \"mouseover\", function() {$(this).attr( \"title\", \"Passwort\" );$(this).tipsy( {trigger: \"manual\",gravity: $.fn.tipsy.autoWE,opacity: 0.5} ).tipsy( \"show\" );} ).live( \"mouseout\", function() {$(this).tipsy( \"hide\" );} );});</script></div></div><div class=\"row element-submit\" element-id=\"3\" id=\"form-row-3\"><div class=\"content\"><input type=\"submit\" value=\"Submit\"></div></div></form></div>','',NULL,'node@gentics.com',NULL),(21,'Testformular2','{\n    \"type\": \"form\",\n    \"name\": \"Testformular2\",\n    \"email\": \"seppi5@gmx.at\",\n    \"database\": true,\n    \"id\": 0,\n    \"elements\": [\n        {\n            \"type\": \"input\",\n            \"name\": \"input1\",\n            \"label\": \"Text\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        }\n    ]\n}','<div id=\"fg-form\" class=\"fg-form\"><form method=\"post\" class=\"ui-droppable ui-sortable\" style=\"\"><script type=\"text/javascript\">$(function(){$( \"#fg-form .row label a.info\" ).live( \"click\", function(e){	e.preventDefault();}).tipsy({	trigger: \"click\",	gravity: \"w\",	live: true});});</script><div class=\"row element-input\" element-id=\"1\" id=\"form-row-1\"><div class=\"content\"><label class=\"labelposition-left\">Text: </label><input type=\"text\" name=\"input1\" value=\"\"></div></div></form></div>','',NULL,'node@gentics.com',NULL),(22,'formtest3','{\n    \"type\": \"form\",\n    \"name\": \"formtest3\",\n    \"email\": \"seppi5@gmx.at\",\n    \"database\": true,\n    \"id\": 0,\n    \"elements\": [\n        {\n            \"type\": \"input\",\n            \"name\": \"input1\",\n            \"label\": \"Text\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"input\",\n            \"name\": \"input2\",\n            \"label\": \"Text\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"textarea\",\n            \"name\": \"textarea3\",\n            \"label\": \"Text\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"next/previous\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"textarea\",\n            \"name\": \"textarea5\",\n            \"label\": \"Text\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"input\",\n            \"name\": \"input6\",\n            \"label\": \"Text\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"submit\",\n            \"thankyoupage\": \"\",\n            \"elements\": []\n        }\n    ]\n}','<div id=\"fg-form\" class=\"fg-form\"><form method=\"post\" class=\"ui-droppable ui-sortable\" style=\"\"><script type=\"text/javascript\">$(function(){$( \"#fg-form .row label a.info\" ).live( \"click\", function(e){	e.preventDefault();}).tipsy({	trigger: \"click\",	gravity: \"w\",	live: true});});</script><div class=\"row element-input\" element-id=\"1\" id=\"form-row-1\"><div class=\"content\"><label class=\"labelposition-left\">Text: </label><input type=\"text\" name=\"input1\" value=\"\"></div></div><div class=\"row element-input\" element-id=\"2\" id=\"form-row-2\"><div class=\"content\"><label class=\"labelposition-left\">Text: </label><input type=\"text\" name=\"input2\" value=\"\"></div></div><div class=\"row element-textarea\" element-id=\"3\" id=\"form-row-3\"><div class=\"content\"><label class=\"labelposition-left\">Text: </label><textarea style=\"resize: none;\" name=\"textarea3\"></textarea></div></div><div class=\"row element-next/previous\" element-id=\"4\" id=\"form-row-4\"><div class=\"content\"><button class=\"previous\">Previous</button><button class=\"next\">Next</button></div></div><div class=\"row element-textarea\" element-id=\"5\" id=\"form-row-5\"><div class=\"content\"><label class=\"labelposition-left\">Text: </label><textarea style=\"resize: none;\" name=\"textarea5\"></textarea></div></div><div class=\"row element-input\" element-id=\"6\" id=\"form-row-6\"><div class=\"content\"><label class=\"labelposition-left\">Text: </label><input type=\"text\" name=\"input6\" value=\"\"></div></div><div class=\"row element-submit\" element-id=\"7\" id=\"form-row-7\"><div class=\"content\"><input type=\"submit\" value=\"Submit\"></div></div></form></div>','',NULL,'node@gentics.com',NULL),(23,'testform1000','{\n    \"type\": \"form\",\n    \"name\": \"testform1000\",\n    \"email\": \"seppi5@gmx.at\",\n    \"database\": true,\n    \"id\": 0,\n    \"elements\": [\n        {\n            \"type\": \"input\",\n            \"name\": \"input1\",\n            \"label\": \"test5123\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"textarea\",\n            \"name\": \"textarea2\",\n            \"label\": \"Text\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"space\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"submit\",\n            \"thankyoupage\": \"\",\n            \"elements\": []\n        }\n    ]\n}','<div id=\"fg-form\" class=\"fg-form\"><form method=\"post\" class=\"ui-droppable ui-sortable\" style=\"\"><script type=\"text/javascript\">$(function(){$( \"#fg-form .row label a.info\" ).live( \"click\", function(e){	e.preventDefault();}).tipsy({	trigger: \"click\",	gravity: \"w\",	live: true});});</script><div class=\"row element-input\" element-id=\"1\" id=\"form-row-1\"><div class=\"content\"><label class=\"labelposition-left\">test5123: </label><input type=\"text\" name=\"input1\" value=\"\"></div></div><div class=\"row element-textarea\" element-id=\"2\" id=\"form-row-2\"><div class=\"content\"><label class=\"labelposition-left\">Text: </label><textarea style=\"resize: none;\" name=\"textarea2\"></textarea></div></div><div class=\"row element-space\" element-id=\"3\" id=\"form-row-3\"><div class=\"content\"></div></div><div class=\"row element-submit\" element-id=\"4\" id=\"form-row-4\"><div class=\"content\"><input type=\"submit\" value=\"Submit\"></div></div></form></div>','',NULL,'node@gentics.com',NULL),(24,'Gentics Form','{\n    \"type\": \"form\",\n    \"name\": \"Gentics Form\",\n    \"email\": \"km.schremser@gentics.com\",\n    \"database\": true,\n    \"id\": 24,\n    \"elements\": [\n        {\n            \"type\": \"space\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"dropdown\",\n            \"name\": \"dropdown2 gentics\",\n            \"label\": \"Beta\",\n            \"mandatory\": true,\n            \"info\": \"testix\",\n            \"tooltip\": \"testix2\",\n            \"validation\": \"\",\n            \"listelements\": [\n                {\n                    \"value\": \"one\",\n                    \"label\": \"One\"\n                }\n            ],\n            \"elements\": []\n        },\n        {\n            \"type\": \"radio\",\n            \"name\": \"radio3\",\n            \"label\": \"asdfasdf asdf\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"validation\": \"\",\n            \"listelements\": [\n                {\n                    \"value\": \"asdfasdf\",\n                    \"label\": \"asdfasdf\"\n                }\n            ],\n            \"elements\": []\n        },\n        {\n            \"type\": \"radio\",\n            \"name\": \"radio4\",\n            \"label\": \"Label\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"validation\": \"\",\n            \"listelements\": [\n                {\n                    \"value\": \"Radiobutton\",\n                    \"label\": \"Radiobutton\"\n                }\n            ],\n            \"elements\": []\n        },\n        {\n            \"type\": \"radio\",\n            \"name\": \"radio5\",\n            \"label\": \"Label\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"validation\": \"\",\n            \"listelements\": [\n                {\n                    \"value\": \"Radiobutton\",\n                    \"label\": \"Radiobutton\"\n                }\n            ],\n            \"elements\": []\n        },\n        {\n            \"type\": \"radio\",\n            \"name\": \"radio6\",\n            \"label\": \"Label\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"validation\": \"\",\n            \"listelements\": [\n                {\n                    \"value\": \"Radiobutton\",\n                    \"label\": \"Radiobutton\"\n                }\n            ],\n            \"elements\": []\n        },\n        {\n            \"type\": \"checkbox\",\n            \"name\": \"checkbox7\",\n            \"label\": \"Check\",\n            \"mandatory\": true,\n            \"info\": \"\",\n            \"validation\": \"\",\n            \"labelposition\": \"right\",\n            \"preselected\": true,\n            \"value\": \"1\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"checkbox\",\n            \"name\": \"checkbox8\",\n            \"label\": \"Check\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"validation\": \"\",\n            \"labelposition\": \"left\",\n            \"preselected\": false,\n            \"value\": \"1\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"checkbox\",\n            \"name\": \"checkbox9\",\n            \"label\": \"Check\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"validation\": \"\",\n            \"labelposition\": \"left\",\n            \"preselected\": false,\n            \"value\": \"1\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"captcha\",\n            \"name\": \"captcha10\",\n            \"label\": \"Enter code from image\",\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"input\",\n            \"name\": \"input11\",\n            \"label\": \"Text\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"input\",\n            \"name\": \"input12\",\n            \"label\": \"Text\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"input\",\n            \"name\": \"input13\",\n            \"label\": \"Text\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"input\",\n            \"name\": \"input14\",\n            \"label\": \"Text\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"textarea\",\n            \"name\": \"textarea15\",\n            \"label\": \"Text\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"value\": \"asdfasdf asdfas dfasdfas dfasf asd fsadf \",\n            \"elements\": []\n        },\n        {\n            \"type\": \"next/previous\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"submit\",\n            \"thankyoupage\": \"\",\n            \"elements\": []\n        }\n    ]\n}','<div id=\"fg-form\" class=\"fg-form\"><form method=\"post\" class=\"ui-droppable ui-sortable\" style=\"\"><div class=\"row element-space\" element-id=\"1\" id=\"form-row-1\"><div class=\"content\"></div></div><div class=\"row element-dropdown\" element-id=\"2\" id=\"form-row-2\"><div class=\"content\"><label class=\"labelposition-left mandatory\"><a href=\"#\" class=\"info\" title=\"testix\"></a>Beta<span class=\"mandatory\">*</span>: </label><select name=\"dropdown2 gentics\" original-title=\"testix2\"><option value=\"one\">One</option></select><script type=\"text/javascript\">$(function(){$( \"#form-row-2 .content select\" ).live( \"mouseover\", function() {$(this).attr( \"title\", \"testix2\" );$(this).tipsy( {trigger: \"manual\",gravity: $.fn.tipsy.autoWE,opacity: 0.5} ).tipsy( \"show\" );} ).live( \"mouseout\", function() {$(this).tipsy( \"hide\" );} );});</script></div></div><div class=\"row element-radio\" element-id=\"3\" id=\"form-row-3\"><div class=\"content\"><label class=\"labelposition-left\">asdfasdf asdf: </label><label><input type=\"radio\" name=\"radio3\" value=\"asdfasdf\">asdfasdf</label></div></div><div class=\"row element-radio\" element-id=\"4\" id=\"form-row-4\"><div class=\"content\"><label class=\"labelposition-left\">Label: </label><label><input type=\"radio\" name=\"radio4\" value=\"Radiobutton\">Radiobutton</label></div></div><div class=\"row element-radio\" element-id=\"5\" id=\"form-row-5\"><div class=\"content\"><label class=\"labelposition-left\">Label: </label><label><input type=\"radio\" name=\"radio5\" value=\"Radiobutton\">Radiobutton</label></div></div><div class=\"row element-radio\" element-id=\"6\" id=\"form-row-6\"><div class=\"content\"><label class=\"labelposition-left\">Label: </label><label><input type=\"radio\" name=\"radio6\" value=\"Radiobutton\">Radiobutton</label></div></div><div class=\"row element-checkbox\" element-id=\"7\" id=\"form-row-7\"><div class=\"content\"><input type=\"checkbox\" name=\"checkbox7\" value=\"1\" checked=\"checked\"><label class=\"labelposition-right mandatory\">Check<span class=\"mandatory\">*</span></label></div></div><div class=\"row element-checkbox\" element-id=\"8\" id=\"form-row-8\"><div class=\"content\"><label class=\"labelposition-left\">Check: </label><input type=\"checkbox\" name=\"checkbox8\" value=\"1\"></div></div><div class=\"row element-checkbox\" element-id=\"9\" id=\"form-row-9\"><div class=\"content\"><label class=\"labelposition-left\">Check: </label><input type=\"checkbox\" name=\"checkbox9\" value=\"1\"></div></div><div class=\"row element-captcha\" element-id=\"10\" id=\"form-row-10\"><div class=\"content\"><label class=\"labelposition-left mandatory\">Enter code from image<span class=\"mandatory\">*</span>: </label><div class=\"inner\"><img src=\"/proxy/assets/9680ed87/elements/captcha/captcha.php?0.11354578100144863\"><a href=\"#\" class=\"refresh\"></a><input name=\"captcha10\"></div><script type=\"text/javascript\">$(function(){$( \"#form-row-10 .content .refresh\" ).click( function(e) {e.preventDefault();$( \"#form-row-10 .content img\" ).attr( \"src\", \"/proxy/assets/9680ed87/elements/captcha/captcha.php?\" + Math.random() )} );});</script></div></div><div class=\"row element-input\" element-id=\"11\" id=\"form-row-11\"><div class=\"content\"><label class=\"labelposition-left\">Text: </label><input type=\"text\" name=\"input11\" value=\"\"></div></div><div class=\"row element-input\" element-id=\"12\" id=\"form-row-12\"><div class=\"content\"><label class=\"labelposition-left\">Text: </label><input type=\"text\" name=\"input12\" value=\"\"></div></div><div class=\"row element-input\" element-id=\"13\" id=\"form-row-13\"><div class=\"content\"><label class=\"labelposition-left\">Text: </label><input type=\"text\" name=\"input13\" value=\"\"></div></div><div class=\"row element-input\" element-id=\"14\" id=\"form-row-14\"><div class=\"content\"><label class=\"labelposition-left\">Text: </label><input type=\"text\" name=\"input14\" value=\"\"></div></div><div class=\"row element-textarea\" element-id=\"15\" id=\"form-row-15\"><div class=\"content\"><label class=\"labelposition-left\">Text: </label><textarea style=\"resize: none;\" name=\"textarea15\">asdfasdf asdfas dfasdfas dfasf asd fsadf </textarea></div></div><div class=\"row element-next/previous\" element-id=\"16\" id=\"form-row-16\"><div class=\"content\"><button class=\"previous\">Previous</button><button class=\"next\">Next</button></div></div><div class=\"row element-submit\" element-id=\"17\" id=\"form-row-17\"><div class=\"content\"><input type=\"submit\" value=\"Submit\"></div></div></form></div>','',NULL,'node@gentics.com',''),(25,'Redirector!!','{\n    \"type\": \"form\",\n    \"name\": \"Redirector!!\",\n    \"email\": \"seppi5@gmx.at\",\n    \"database\": true,\n    \"id\": 25,\n    \"elements\": [\n        {\n            \"type\": \"input\",\n            \"name\": \"input1\",\n            \"label\": \"Text\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"submit\",\n            \"thankyoupage\": \"http://www.gentics.com\",\n            \"elements\": []\n        }\n    ]\n}','<div id=\"fg-form\" class=\"fg-form\"><form method=\"post\" class=\"ui-droppable ui-sortable\" style=\"\"><div class=\"row element-input\" element-id=\"1\" id=\"form-row-1\"><div class=\"content\"><label class=\"labelposition-left\">Text: </label><input type=\"text\" name=\"input1\" value=\"\"></div></div><div class=\"row element-submit action-edit\" element-id=\"2\" id=\"form-row-2\"><div class=\"content\"><input type=\"submit\" value=\"Submit\"></div></div></form></div>','',NULL,'node@gentics.com','http://www.gentics.com'),(26,'My new form','{\n    \"type\": \"form\",\n    \"name\": \"My new form\",\n    \"email\": \"\",\n    \"database\": \"\",\n    \"id\": 0,\n    \"elements\": [\n        {\n            \"type\": \"input\",\n            \"name\": \"input1\",\n            \"label\": \"Text\",\n            \"mandatory\": false,\n            \"info\": \"\",\n            \"tooltip\": \"\",\n            \"validation\": \"\",\n            \"value\": \"\",\n            \"elements\": []\n        },\n        {\n            \"type\": \"next/previous\",\n            \"prevtarget\": \"www.krone.at\",\n            \"nexttarget\": \"www.google.de\",\n            \"elements\": []\n        }\n    ]\n}','<div id=\"fg-form\" class=\"fg-form\"><form method=\"post\" class=\"ui-droppable ui-sortable\" style=\"\"><script type=\"text/javascript\">$(function(){$( \"#fg-form .row label a.info\" ).live( \"click\", function(e){	e.preventDefault();}).tipsy({	trigger: \"click\",	gravity: \"w\",	live: true});});</script><div class=\"row element-input\" element-id=\"1\" id=\"form-row-1\"><div class=\"content\"><label class=\"labelposition-left\">Text: </label><input type=\"text\" name=\"input1\" value=\"\"></div></div><div class=\"row element-next/previous action-edit\" element-id=\"2\" id=\"form-row-2\"><div class=\"content\"><button class=\"previous\">Previous</button><button class=\"next\">Next</button></div></div></form></div>','',NULL,'node@gentics.com',NULL);
/*!40000 ALTER TABLE `forms` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_accounts`
--

DROP TABLE IF EXISTS `gportal_accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_accounts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `service` varchar(255) NOT NULL,
  `service_id` varchar(255) NOT NULL,
  `data` blob,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=30 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_accounts`
--

LOCK TABLES `gportal_accounts` WRITE;
/*!40000 ALTER TABLE `gportal_accounts` DISABLE KEYS */;
INSERT INTO `gportal_accounts` VALUES (1,1,'email','admin','a:1:{s:8:\"password\";s:32:\"21232f297a57a5a743894a0e4a801fc3\";}'),(2,2,'email','demo','a:1:{s:8:\"password\";s:32:\"fe01ce2a7fbac8fafaed7c982a04e229\";}'),(9,10,'google','https://www.google.com/accounts/o8/id?id=AItOawnSPW_d08pEC3Hbjqmj1ByakDxQHqP1UhM','a:8:{i:0;s:23:\"a:1:{i:0;s:6:\"a:0:{}\";}\";s:2:\"id\";s:80:\"https://www.google.com/accounts/o8/id?id=AItOawnSPW_d08pEC3Hbjqmj1ByakDxQHqP1UhM\";s:9:\"firstname\";s:8:\"Klaus-M.\";s:8:\"lastname\";s:9:\"Schremser\";s:5:\"email\";s:22:\"klaus@apps.gentics.com\";s:8:\"language\";s:2:\"en\";s:4:\"name\";s:18:\"Klaus-M. Schremser\";s:9:\"displayId\";s:22:\"klaus@apps.gentics.com\";}'),(11,12,'google','https://www.google.com/accounts/o8/id?id=AItOawkzHiBT8FyjwJHlG5zaZYhjWldgYRj_scU','a:8:{i:0;s:23:\"a:1:{i:0;s:6:\"a:0:{}\";}\";s:2:\"id\";s:80:\"https://www.google.com/accounts/o8/id?id=AItOawkzHiBT8FyjwJHlG5zaZYhjWldgYRj_scU\";s:9:\"firstname\";s:4:\"Nico\";s:8:\"lastname\";s:7:\"Spataro\";s:5:\"email\";s:28:\"nicospataro@apps.gentics.com\";s:8:\"language\";s:2:\"de\";s:4:\"name\";s:12:\"Nico Spataro\";s:9:\"displayId\";s:28:\"nicospataro@apps.gentics.com\";}'),(17,12,'google','https://www.google.com/accounts/o8/id?id=AItOawk2kyaSvhSVMeQ71blG7-jDqYSq406Ape4','a:8:{i:0;s:23:\"a:1:{i:0;s:6:\"a:0:{}\";}\";s:2:\"id\";s:80:\"https://www.google.com/accounts/o8/id?id=AItOawk2kyaSvhSVMeQ71blG7-jDqYSq406Ape4\";s:9:\"firstname\";s:4:\"Nico\";s:8:\"lastname\";s:7:\"Spataro\";s:5:\"email\";s:28:\"nicospataro@apps.gentics.com\";s:8:\"language\";s:2:\"de\";s:4:\"name\";s:12:\"Nico Spataro\";s:9:\"displayId\";s:28:\"nicospataro@apps.gentics.com\";}'),(16,14,'google','https://www.google.com/accounts/o8/id?id=AItOawlL70yQTIxfNMR9YvJ59xStAUef5VxMpwQ','a:8:{i:0;s:6:\"a:0:{}\";s:2:\"id\";s:80:\"https://www.google.com/accounts/o8/id?id=AItOawlL70yQTIxfNMR9YvJ59xStAUef5VxMpwQ\";s:9:\"firstname\";s:6:\"Andrew\";s:8:\"lastname\";s:7:\"Kobylin\";s:5:\"email\";s:21:\"kobylin.a.a@gmail.com\";s:8:\"language\";s:2:\"en\";s:4:\"name\";s:14:\"Andrew Kobylin\";s:9:\"displayId\";s:21:\"kobylin.a.a@gmail.com\";}'),(18,14,'google','https://www.google.com/accounts/o8/id?id=AItOawlmjmJ7iG8mx9MSFu_EbUyQtlaUZRs9OCw','a:8:{i:0;s:23:\"a:1:{i:0;s:6:\"a:0:{}\";}\";s:2:\"id\";s:80:\"https://www.google.com/accounts/o8/id?id=AItOawlmjmJ7iG8mx9MSFu_EbUyQtlaUZRs9OCw\";s:9:\"firstname\";s:6:\"Andrew\";s:8:\"lastname\";s:7:\"Kobylin\";s:5:\"email\";s:21:\"kobylin.a.a@gmail.com\";s:8:\"language\";s:2:\"en\";s:4:\"name\";s:14:\"Andrew Kobylin\";s:9:\"displayId\";s:21:\"kobylin.a.a@gmail.com\";}'),(19,18,'google','https://www.google.com/accounts/o8/id?id=AItOawlFgm6WxqIhl6ScwVTrIXlGbPGw0pBJqBA','a:8:{i:0;s:23:\"a:1:{i:0;s:6:\"a:0:{}\";}\";s:2:\"id\";s:80:\"https://www.google.com/accounts/o8/id?id=AItOawlFgm6WxqIhl6ScwVTrIXlGbPGw0pBJqBA\";s:9:\"firstname\";s:4:\"Nico\";s:8:\"lastname\";s:7:\"Spataro\";s:5:\"email\";s:22:\"nico.spataro@gmail.com\";s:8:\"language\";s:2:\"de\";s:4:\"name\";s:12:\"Nico Spataro\";s:9:\"displayId\";s:22:\"nico.spataro@gmail.com\";}'),(20,10,'google','https://www.google.com/accounts/o8/id?id=AItOawleKl3t2WnMHq_rBdwXATw2Oaz9fdvSGmA','a:8:{i:0;s:23:\"a:1:{i:0;s:6:\"a:0:{}\";}\";s:2:\"id\";s:80:\"https://www.google.com/accounts/o8/id?id=AItOawleKl3t2WnMHq_rBdwXATw2Oaz9fdvSGmA\";s:9:\"firstname\";s:8:\"Klaus-M.\";s:8:\"lastname\";s:9:\"Schremser\";s:5:\"email\";s:22:\"klaus@apps.gentics.com\";s:8:\"language\";s:2:\"en\";s:4:\"name\";s:18:\"Klaus-M. Schremser\";s:9:\"displayId\";s:22:\"klaus@apps.gentics.com\";}'),(21,191035,'facebook','100001820885170','a:8:{i:0;s:23:\"a:1:{i:0;s:6:\"a:0:{}\";}\";s:2:\"id\";s:15:\"100001820885170\";s:4:\"name\";s:17:\"Vitalii_Kovalchuk\";s:3:\"url\";s:43:\"http://www.facebook.com/vitalii.kovalchuk.7\";s:5:\"email\";s:27:\"vitalii.kovalchuk@gmail.com\";s:9:\"firstname\";s:7:\"Vitalii\";s:8:\"lastname\";s:9:\"Kovalchuk\";s:6:\"gender\";s:1:\"M\";}'),(22,191036,'facebook','100004025370130','a:8:{i:0;s:23:\"a:1:{i:0;s:6:\"a:0:{}\";}\";s:2:\"id\";s:15:\"100004025370130\";s:4:\"name\";s:9:\"TJ_Option\";s:3:\"url\";s:54:\"http://www.facebook.com/profile.php?id=100004025370130\";s:5:\"email\";s:19:\"tjoption1@gmail.com\";s:9:\"firstname\";s:2:\"TJ\";s:8:\"lastname\";s:6:\"Option\";s:6:\"gender\";s:6:\"female\";}'),(23,191037,'facebook','100004021621508','a:8:{i:0;s:23:\"a:1:{i:0;s:6:\"a:0:{}\";}\";s:2:\"id\";s:15:\"100004021621508\";s:4:\"name\";s:12:\"TJ_Optiontwo\";s:3:\"url\";s:54:\"http://www.facebook.com/profile.php?id=100004021621508\";s:5:\"email\";s:19:\"tjoption2@gmail.com\";s:9:\"firstname\";s:2:\"TJ\";s:8:\"lastname\";s:9:\"Optiontwo\";s:6:\"gender\";s:4:\"male\";}'),(24,191038,'facebook','641925734','a:8:{i:0;s:23:\"a:1:{i:0;s:6:\"a:0:{}\";}\";s:2:\"id\";s:9:\"641925734\";s:4:\"name\";s:18:\"Klaus-M._Schremser\";s:3:\"url\";s:35:\"http://www.facebook.com/kmschremser\";s:5:\"email\";s:22:\"facebook@schremser.com\";s:9:\"firstname\";s:8:\"Klaus-M.\";s:8:\"lastname\";s:9:\"Schremser\";s:6:\"gender\";s:1:\"M\";}'),(25,191062,'facebook','1521550335','a:8:{i:0;s:23:\"a:1:{i:0;s:6:\"a:0:{}\";}\";s:2:\"id\";s:10:\"1521550335\";s:4:\"name\";s:15:\"Patrick_Santner\";s:3:\"url\";s:39:\"http://www.facebook.com/patrick.santner\";s:5:\"email\";s:16:\"psantner@gmx.net\";s:9:\"firstname\";s:7:\"Patrick\";s:8:\"lastname\";s:7:\"Santner\";s:6:\"gender\";s:4:\"male\";}'),(26,191035,'google','https://www.google.com/accounts/o8/id?id=AItOawmVGC1EEz76QxvdB6gsqLt48tiqBqd0nZ4','a:8:{i:0;s:23:\"a:1:{i:0;s:6:\"a:0:{}\";}\";s:2:\"id\";s:80:\"https://www.google.com/accounts/o8/id?id=AItOawmVGC1EEz76QxvdB6gsqLt48tiqBqd0nZ4\";s:9:\"firstname\";s:14:\"Виталий\";s:8:\"lastname\";s:18:\"Ковальчук\";s:5:\"email\";s:27:\"vitalii.kovalchuk@gmail.com\";s:8:\"language\";s:2:\"ru\";s:4:\"name\";s:33:\"Виталий Ковальчук\";s:9:\"displayId\";s:27:\"vitalii.kovalchuk@gmail.com\";}'),(27,561112,'google','https://www.google.com/accounts/o8/id?id=AItOawl2nyByUK86lP48YeIpkSrNRR2Wf_dWfsk','a:8:{i:0;s:23:\"a:1:{i:0;s:6:\"a:0:{}\";}\";s:2:\"id\";s:80:\"https://www.google.com/accounts/o8/id?id=AItOawl2nyByUK86lP48YeIpkSrNRR2Wf_dWfsk\";s:9:\"firstname\";s:8:\"Bernhard\";s:8:\"lastname\";s:5:\"Kaszt\";s:5:\"email\";s:30:\"bernhardkaszt@apps.gentics.com\";s:8:\"language\";s:2:\"de\";s:4:\"name\";s:14:\"Bernhard Kaszt\";s:9:\"displayId\";s:30:\"bernhardkaszt@apps.gentics.com\";}'),(28,561113,'google','https://www.google.com/accounts/o8/id?id=AItOawlQdv2XmKbVuOwmsi1sJHBBL4FtWCSIiZQ','a:8:{i:0;s:23:\"a:1:{i:0;s:6:\"a:0:{}\";}\";s:2:\"id\";s:80:\"https://www.google.com/accounts/o8/id?id=AItOawlQdv2XmKbVuOwmsi1sJHBBL4FtWCSIiZQ\";s:9:\"firstname\";s:12:\"Андрей\";s:8:\"lastname\";s:14:\"Волошин\";s:5:\"email\";s:21:\"abyss281290@gmail.com\";s:8:\"language\";s:2:\"ru\";s:4:\"name\";s:27:\"Андрей Волошин\";s:9:\"displayId\";s:21:\"abyss281290@gmail.com\";}'),(29,561116,'google','https://www.google.com/accounts/o8/id?id=AItOawmjv9OxLzCpLRn2tg2Xdy_SYBRucADKan0','a:8:{i:0;s:23:\"a:1:{i:0;s:6:\"a:0:{}\";}\";s:2:\"id\";s:80:\"https://www.google.com/accounts/o8/id?id=AItOawmjv9OxLzCpLRn2tg2Xdy_SYBRucADKan0\";s:9:\"firstname\";s:6:\"Manuel\";s:8:\"lastname\";s:13:\"Aghamanoukjan\";s:5:\"email\";s:23:\"manuel@apps.gentics.com\";s:8:\"language\";s:2:\"de\";s:4:\"name\";s:20:\"Manuel Aghamanoukjan\";s:9:\"displayId\";s:23:\"manuel@apps.gentics.com\";}');
/*!40000 ALTER TABLE `gportal_accounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_answer`
--

DROP TABLE IF EXISTS `gportal_answer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_answer` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `question_id` varchar(255) DEFAULT NULL,
  `answer_key` varchar(255) DEFAULT NULL,
  `order` int(11) DEFAULT '0',
  `text` text,
  `active` int(11) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `question_id_idx` (`question_id`)
) ENGINE=MyISAM AUTO_INCREMENT=52 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_answer`
--

LOCK TABLES `gportal_answer` WRITE;
/*!40000 ALTER TABLE `gportal_answer` DISABLE KEYS */;
INSERT INTO `gportal_answer` VALUES (1,'d5c64e7af3142695cb9d1378d4d6e8b6','q0',1,'My first answer',1,'2013-02-20 10:11:15'),(2,'d5c64e7af3142695cb9d1378d4d6e8b6','q1',2,'My second answer',1,'2013-02-20 10:11:15'),(3,'d5c64e7af3142695cb9d1378d4d6e8b6','q2',3,'My third answer',1,'2013-02-20 10:11:15'),(4,'d5c64e7af3142695cb9d1378d4d6e8b6','q3',4,'My fourth answer',1,'2013-02-20 10:11:15'),(5,'e0f679c98504140e2f26ec4b388a4559','q0',1,'My first answer',1,'2013-03-11 23:08:00'),(6,'e0f679c98504140e2f26ec4b388a4559','q1',2,'My second answer',1,'2013-03-11 23:08:00'),(7,'e0f679c98504140e2f26ec4b388a4559','q2',3,'My third answer',1,'2013-03-11 23:08:00'),(8,'e0f679c98504140e2f26ec4b388a4559','q3',4,'My fourth answer',1,'2013-03-11 23:08:00'),(9,'449da998dd675dc8544039e63f622a82','q0',1,'Gentics Portal.Node PHP',1,'2013-03-12 11:05:10'),(10,'449da998dd675dc8544039e63f622a82','q1',2,'Gentics Portal.Node PHP again',1,'2013-03-12 11:05:10'),(11,'449da998dd675dc8544039e63f622a82','q2',3,'Gentics Portal.Node PHP 2.0',1,'2013-03-12 11:05:10'),(12,'crf22','q1',1,'Yes',1,'2013-03-12 16:38:30'),(13,'crf22','q2',2,'No',1,'2013-03-12 16:38:30'),(14,'crf22','q3',3,'Dont know',1,'2013-03-12 16:38:30'),(15,'crf22','q4',5,'Hmmm...',1,'2013-03-12 16:38:30'),(16,'crf23','q1',1,'Yes',1,'2013-03-12 16:38:30'),(17,'crf23','q2',2,'No',1,'2013-03-12 16:38:30'),(18,'crf23','q3',3,'Dont know',1,'2013-03-12 16:38:30'),(19,'crf23','q4',5,'Hmmm...',1,'2013-03-12 16:38:30'),(20,'crf24','q1',1,'Yes',1,'2013-03-13 13:15:32'),(21,'crf24','q2',2,'No',1,'2013-03-13 13:15:32'),(22,'crf24','q3',3,'Dont know',1,'2013-03-13 13:15:32'),(23,'crf24','q4',5,'Hmmm...',1,'2013-03-13 13:15:32'),(24,'crf25','q1',1,'Yes',1,'2013-03-13 13:15:32'),(25,'crf25','q2',2,'No',1,'2013-03-13 13:15:32'),(26,'crf25','q3',3,'Dont know',1,'2013-03-13 13:15:32'),(27,'crf25','q4',5,'Hmmm...',1,'2013-03-13 13:15:32'),(28,'d8338025f11929dea5150aa9d44b3472','q0',1,'Answer 1',1,'2013-03-17 07:55:19'),(29,'d8338025f11929dea5150aa9d44b3472','q1',2,'Answer 2',1,'2013-03-17 07:55:19'),(30,'d8338025f11929dea5150aa9d44b3472','q2',3,'Answer 3',1,'2013-03-17 07:55:19'),(31,'9b8b00ed3cb341f51a2014ea32d936d9','q0',1,'Answer 1',1,'2013-03-18 10:26:40'),(32,'9b8b00ed3cb341f51a2014ea32d936d9','q1',2,'Answer 2',1,'2013-03-18 10:26:40'),(33,'9b8b00ed3cb341f51a2014ea32d936d9','q2',3,'Answer 3',1,'2013-03-18 10:26:40'),(34,'597385d3384814ab520804ca0b2e1ac7','q0',1,'Answer 1',1,'2013-03-18 10:26:40'),(35,'597385d3384814ab520804ca0b2e1ac7','q1',2,'Answer 2',1,'2013-03-18 10:26:40'),(36,'597385d3384814ab520804ca0b2e1ac7','q2',3,'Answer 3',1,'2013-03-18 10:26:40'),(37,'ca5c1625531a7bf84b7cb3d7514890ce','q0',1,'Answer 1',1,'2013-03-18 10:26:40'),(38,'ca5c1625531a7bf84b7cb3d7514890ce','q1',2,'Answer 2',1,'2013-03-18 10:26:40'),(39,'ca5c1625531a7bf84b7cb3d7514890ce','q2',3,'Answer 3',1,'2013-03-18 10:26:40'),(40,'767b0c49fd08f6fe92074fcce04a5fb7','q0',1,'Answer 1',1,'2013-03-18 10:26:40'),(41,'767b0c49fd08f6fe92074fcce04a5fb7','q1',2,'Answer 2',1,'2013-03-18 10:26:40'),(42,'767b0c49fd08f6fe92074fcce04a5fb7','q2',3,'Answer 3',1,'2013-03-18 10:26:40'),(43,'b48c34fcc7123c33936be90813dd4d24','q0',1,'Answer 1',1,'2013-03-18 10:26:40'),(44,'b48c34fcc7123c33936be90813dd4d24','q1',2,'Answer 2',1,'2013-03-18 10:26:40'),(45,'b48c34fcc7123c33936be90813dd4d24','q2',3,'Answer 3',1,'2013-03-18 10:26:40'),(46,'c3964493ecf81bec72b9cffabc704e14','q0',1,'Answer 1',1,'2013-03-18 10:26:40'),(47,'c3964493ecf81bec72b9cffabc704e14','q1',2,'Answer 2',1,'2013-03-18 10:26:40'),(48,'c3964493ecf81bec72b9cffabc704e14','q2',3,'Answer 3',1,'2013-03-18 10:26:40'),(49,'41a34b88343b65789d18e2a1c79b9fd7','q0',1,'Answer 1',1,'2013-03-18 10:26:40'),(50,'41a34b88343b65789d18e2a1c79b9fd7','q1',2,'Answer 2',1,'2013-03-18 10:26:40'),(51,'41a34b88343b65789d18e2a1c79b9fd7','q2',3,'Answer 3',1,'2013-03-18 10:26:40');
/*!40000 ALTER TABLE `gportal_answer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_comments`
--

DROP TABLE IF EXISTS `gportal_comments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) DEFAULT NULL,
  `content_id` varchar(255) NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `moderator_email` varchar(255) DEFAULT NULL,
  `firstname` varchar(255) DEFAULT NULL,
  `lastname` varchar(255) DEFAULT NULL,
  `email` varchar(255) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `notify_moderator` tinyint(1) NOT NULL DEFAULT '0',
  `notify_user` tinyint(1) NOT NULL DEFAULT '0',
  `status` tinyint(1) NOT NULL DEFAULT '0',
  `language` varchar(255) NOT NULL,
  `createtime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `content_id` (`content_id`),
  KEY `user_id` (`user_id`),
  KEY `parent_id` (`parent_id`),
  KEY `parent_id_content_id_user_id_status` (`parent_id`,`content_id`,`user_id`,`status`),
  KEY `comments_content_id` (`content_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3122185 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_comments`
--

LOCK TABLES `gportal_comments` WRITE;
/*!40000 ALTER TABLE `gportal_comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `gportal_comments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_formdata`
--

DROP TABLE IF EXISTS `gportal_formdata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_formdata` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `form_id` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `referer` varchar(255) NOT NULL DEFAULT '',
  `ip` varchar(255) NOT NULL DEFAULT '',
  `json` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_formdata`
--

LOCK TABLES `gportal_formdata` WRITE;
/*!40000 ALTER TABLE `gportal_formdata` DISABLE KEYS */;
/*!40000 ALTER TABLE `gportal_formdata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_forms`
--

DROP TABLE IF EXISTS `gportal_forms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_forms` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `json` text,
  `html` text,
  `creator_email` varchar(255) NOT NULL DEFAULT '',
  `user` varchar(255) NOT NULL DEFAULT '',
  `thankyou_page` varchar(255) NOT NULL DEFAULT '',
  `salt` varchar(255) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_forms`
--

LOCK TABLES `gportal_forms` WRITE;
/*!40000 ALTER TABLE `gportal_forms` DISABLE KEYS */;
/*!40000 ALTER TABLE `gportal_forms` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_friendship`
--

DROP TABLE IF EXISTS `gportal_friendship`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_friendship` (
  `user1_id` int(11) NOT NULL DEFAULT '0',
  `user2_id` int(11) NOT NULL DEFAULT '0',
  `status` int(11) DEFAULT NULL,
  PRIMARY KEY (`user1_id`,`user2_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_friendship`
--

LOCK TABLES `gportal_friendship` WRITE;
/*!40000 ALTER TABLE `gportal_friendship` DISABLE KEYS */;
INSERT INTO `gportal_friendship` VALUES (1,30,0),(1,10,0),(1,27,0),(1,191040,0),(1,14,1),(2,14,1),(191088,1,1),(191088,27,0),(1,191038,0),(191089,10,0),(191089,27,0),(1,191065,0),(1,191043,0),(1,189137,0),(1,190887,1),(1,185316,0),(1,185205,0),(1,190794,0),(2,19,0),(2,20,0),(2,201105,0),(2,191065,0),(1,188586,0),(1,201105,1),(191041,191065,0),(2,191059,0),(2,191058,0),(1,201112,0);
/*!40000 ALTER TABLE `gportal_friendship` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_item`
--

DROP TABLE IF EXISTS `gportal_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `price` float DEFAULT NULL,
  `admin_email` text,
  `page_id` int(11) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `item_id` int(11) DEFAULT NULL,
  `order_id` int(11) DEFAULT NULL,
  `quantity` int(11) DEFAULT NULL,
  `referrer` varchar(255) DEFAULT NULL,
  `ip_address` varchar(255) DEFAULT NULL,
  `ordered_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_item`
--

LOCK TABLES `gportal_item` WRITE;
/*!40000 ALTER TABLE `gportal_item` DISABLE KEYS */;
INSERT INTO `gportal_item` VALUES (18,99.9,'info@gentics.com',3929,'TV-Flatscreen 3D',3929,20,1,'http://gportal-dev-dcr-frontend.gentics.com/Content.Node/portfolio/computer/TV-Flatscreen_3D.en.html','81.217.35.253','2013-03-29 20:29:49');
/*!40000 ALTER TABLE `gportal_item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_likes`
--

DROP TABLE IF EXISTS `gportal_likes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_likes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `content_id` varchar(255) NOT NULL,
  `createdate` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id_content_id` (`user_id`,`content_id`),
  KEY `user_id` (`user_id`),
  KEY `content_id` (`content_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1121783 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_likes`
--

LOCK TABLES `gportal_likes` WRITE;
/*!40000 ALTER TABLE `gportal_likes` DISABLE KEYS */;
/*!40000 ALTER TABLE `gportal_likes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_login_attempts`
--

DROP TABLE IF EXISTS `gportal_login_attempts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_login_attempts` (
  `ip` varchar(255) NOT NULL DEFAULT '',
  `attempts` int(11) DEFAULT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_login_attempts`
--

LOCK TABLES `gportal_login_attempts` WRITE;
/*!40000 ALTER TABLE `gportal_login_attempts` DISABLE KEYS */;
INSERT INTO `gportal_login_attempts` VALUES ('81.217.35.253',0,'2013-03-11 21:42:18','2013-03-29 09:07:32'),('78.142.159.226',0,'2013-03-15 11:16:28','2013-03-28 11:57:47');
/*!40000 ALTER TABLE `gportal_login_attempts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_migration`
--

DROP TABLE IF EXISTS `gportal_migration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_migration` (
  `version` varchar(255) NOT NULL,
  `apply_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`version`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_migration`
--

LOCK TABLES `gportal_migration` WRITE;
/*!40000 ALTER TABLE `gportal_migration` DISABLE KEYS */;
INSERT INTO `gportal_migration` VALUES ('m000000_000000_base',1337330404),('m120321_063206_user',1337330413),('m120321_154445_right',1337330413),('m120324_173222_account',1337330415),('m120327_093217_account_data',1337330415),('m120327_135311_rights_data',1337330415),('m120330_130431_custom_user_fields',1337330416),('m120406_102639_user_optional_username',1337330416),('m120409_092636_remove_superuser_field',1337330416),('m120411_124544_comments',1337330416),('m120419_143453_like',1337330416),('m120420_180440_likeFix',1337330416),('m120501_115457_custom_user_fields',1337330416),('m120507_125127_custom_user_fields',1337330416),('m120508_085222_alter_like_content_id',1337330416),('m120510_151806_alter_users',1337330416),('m120516_141158_user_personalisation',1339144155),('m120529_154328_user_hide_file_field',1339144155),('m120612_155927_fix_indices',1339518054),('m120619_100255_settings',1340112194),('m120619_111155_add_account_key',1340112194),('m120625_142328_notify_mail_default',1340634544),('m120807_092317_friends',1346747208),('m121114_154923_remember',1361275157),('m121205_102018_vote',1361275158),('m130227_093218_fg',1362059247),('m130129_130525_login_attempts',1363019485),('m130301_135042_shoppingcart',1363873486);
/*!40000 ALTER TABLE `gportal_migration` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_order`
--

DROP TABLE IF EXISTS `gportal_order`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_order` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ordered` int(11) DEFAULT '0',
  `user_id` int(11) DEFAULT NULL,
  `shipping_info` text,
  `payment_info` text,
  `started_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_order`
--

LOCK TABLES `gportal_order` WRITE;
/*!40000 ALTER TABLE `gportal_order` DISABLE KEYS */;
INSERT INTO `gportal_order` VALUES (20,0,20,NULL,NULL,'2013-03-29 20:29:49');
/*!40000 ALTER TABLE `gportal_order` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_personalisation_attributes`
--

DROP TABLE IF EXISTS `gportal_personalisation_attributes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_personalisation_attributes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `path` text,
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`)
) ENGINE=MyISAM AUTO_INCREMENT=58 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_personalisation_attributes`
--

LOCK TABLES `gportal_personalisation_attributes` WRITE;
/*!40000 ALTER TABLE `gportal_personalisation_attributes` DISABLE KEYS */;
INSERT INTO `gportal_personalisation_attributes` VALUES (13,11,'developmentqs','Development QS','.11.'),(11,NULL,'development','Development',NULL),(12,11,'developmentinfrastructure','Development Infrastructure','.11.'),(14,11,'developmentreleasemanagement','Development Releasemanagement','.11.'),(16,NULL,'finance','Finance',NULL),(17,16,'financecontrolling','Finance Controlling','.16.'),(18,16,'financeaccounting','Finance Accounting','.16.'),(19,16,'financereporting','Finance Reporting','.16.'),(20,NULL,'humanresources','Human Resources',NULL),(21,20,'humanresourcestraining','Human Resources Training','.20.'),(22,20,'humanresourceselearning','Human Resources eLearning','.20.'),(24,NULL,'administration','Administration',NULL),(25,24,'administrationoffice','Administration Office','.24.'),(26,24,'administrationcarmanagement','Administration Car Management','.24.'),(28,NULL,'solutioncenter','Solution Center',NULL),(29,28,'solutioncenterprojectmanagement','Solution Center Projectmanagement','.28.'),(30,28,'solutioncentertraining','Solution Center Training','.28.'),(31,28,'solutioncenterpresales','Solution Center Presales','.28.'),(32,28,'solutioncenterqs','Solution Center QS','.28.'),(33,28,'solutioncenterdevelopment','Solution Center Development','.28.'),(35,NULL,'itsupport','IT-Support',NULL),(36,35,'itsupportservermanagement','IT-Support Servermanagement','.35.'),(37,35,'itsupportofficeinfrastructure','IT-Support Office-Infrastructure','.35.'),(38,NULL,'sales','Sales',NULL),(39,38,'salesaccountmanagement','Sales Accountmanagement','.38.'),(40,38,'salescoldcalling','Sales Coldcalling','.38.'),(41,38,'salesreporting','Sales Reporting','.38.'),(42,NULL,'marketing','Marketing',NULL),(43,42,'marketingpromotion','Marketing Promotion','.42.'),(44,42,'marketingeventmanagement','Marketing Eventmanagement','.42.'),(45,NULL,'management','Management',NULL),(46,45,'managementceo','Management CEO','.45.'),(47,45,'managementassistance','Management Assistance','.45.'),(48,NULL,'employee','Employee',NULL),(49,48,'employee12cvx','employee1222bv','.48.'),(50,48,'pd1','PD1','.48.');
/*!40000 ALTER TABLE `gportal_personalisation_attributes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_profiles`
--

DROP TABLE IF EXISTS `gportal_profiles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_profiles` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `lastname` varchar(255) NOT NULL DEFAULT '',
  `firstname` varchar(255) NOT NULL DEFAULT '',
  `birthday` date NOT NULL DEFAULT '0000-00-00',
  `title` varchar(30) NOT NULL DEFAULT '',
  `gender` varchar(1) NOT NULL DEFAULT '',
  `photo` varchar(255) NOT NULL DEFAULT '',
  `company` varchar(100) NOT NULL DEFAULT '',
  `find_me_in_phone_book` varchar(1) NOT NULL DEFAULT '',
  `send_me_notifications` varchar(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=561117 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_profiles`
--

LOCK TABLES `gportal_profiles` WRITE;
/*!40000 ALTER TABLE `gportal_profiles` DISABLE KEYS */;
INSERT INTO `gportal_profiles` VALUES (1,'Gentics','Administrator','1975-11-26','','M','','Gentics','1','1'),(2,'Gentics','Demo','0000-00-00','','M','','','1',''),(9,'Gentics','Editor','0000-00-00','','M','','','',''),(10,'Schremser','Klaus-M.','0000-00-00','','M','','','',''),(11,'Spataro','Nico','1980-02-01','','','','','',''),(12,'','','0000-00-00','','','','','',''),(13,'Test','Test 8','0000-00-00','','M','','','',''),(26,'Klaus-M.','Schremser','2012-05-01','','','','','',''),(201110,'Dörre','Philipp','0000-00-00','','M','','','',''),(201111,'Demo','User123','0000-00-00','','M','','','','1'),(201112,'Aghamanoukjan','Manuel','0000-00-00','','M','','','1','1'),(561112,'Kaszt','Bernhard','0000-00-00','','','','','','1'),(561115,'Meran','Haymo','0000-00-00','','M','','Gentics Software GmbH','',''),(561116,'Aghamanoukjan','Manuel','0000-00-00','','','','','','1');
/*!40000 ALTER TABLE `gportal_profiles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_profiles_fields`
--

DROP TABLE IF EXISTS `gportal_profiles_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_profiles_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `varname` varchar(50) NOT NULL,
  `title` varchar(255) NOT NULL,
  `field_type` varchar(255) NOT NULL,
  `field_size` int(3) NOT NULL DEFAULT '0',
  `field_size_min` int(3) NOT NULL DEFAULT '0',
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `match` varchar(255) DEFAULT NULL,
  `range` varchar(255) NOT NULL DEFAULT '',
  `error_message` varchar(255) NOT NULL DEFAULT '',
  `other_validator` text NOT NULL,
  `default` varchar(255) NOT NULL DEFAULT '',
  `widget` varchar(50) NOT NULL DEFAULT '',
  `widgetparams` text NOT NULL,
  `position` int(3) NOT NULL DEFAULT '0',
  `visible` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `varname` (`varname`,`widget`,`visible`)
) ENGINE=MyISAM AUTO_INCREMENT=39 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_profiles_fields`
--

LOCK TABLES `gportal_profiles_fields` WRITE;
/*!40000 ALTER TABLE `gportal_profiles_fields` DISABLE KEYS */;
INSERT INTO `gportal_profiles_fields` VALUES (1,'lastname','Last Name','VARCHAR',255,3,1,NULL,'','Incorrect Last Name (length between 3 and 255 characters).','','','','',1,3),(2,'firstname','First Name','VARCHAR',255,3,1,NULL,'','Incorrect First Name (length between 3 and 255 characters).','','','','',3,3),(3,'birthday','Birthday','DATE',0,0,2,'','','','','000-00-00','UWjuidate','{\"ui-theme\":\"base\",\"defaultDate\":\"-20y\",\"maxDate\":\"+0y\",\"minDate\":\"-100y\",\"yearRange\":\"-100:+0\",\"changeMonth\":\"true\",\"changeYear\":\"true\"}',3,2),(4,'title','Title','VARCHAR',30,0,2,'','','','','','','',100,3),(5,'gender','Gender','VARCHAR',1,1,2,'','M==Male;F==Female','','','','','',100,3),(6,'photo','Photo','VARCHAR',255,0,0,'','','','{\"file\":{\"types\":\"jpg, gif, png\",\"allowEmpty\":\"true\"}}','','UWfile','{\'path\':\'assets\'}',100,0),(12,'company','Company','VARCHAR',100,0,2,'','','','','','','',100,3),(27,'find_me_in_phone_book','Find me in phone book','VARCHAR',1,0,2,'','checkbox-1','','','','','',800,3),(28,'send_me_notifications','Send me notifications via mail','VARCHAR',1,0,2,'','checkbox-1','','','1','','',801,3);
/*!40000 ALTER TABLE `gportal_profiles_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_question`
--

DROP TABLE IF EXISTS `gportal_question`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_question` (
  `id` varchar(255) NOT NULL DEFAULT '',
  `author_id` int(11) DEFAULT NULL,
  `text` text,
  `created` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_question`
--

LOCK TABLES `gportal_question` WRITE;
/*!40000 ALTER TABLE `gportal_question` DISABLE KEYS */;
INSERT INTO `gportal_question` VALUES ('d5c64e7af3142695cb9d1378d4d6e8b6',1,'<p>My Question?!</p>','2013-02-20 10:11:15'),('e0f679c98504140e2f26ec4b388a4559',1,'<p>My Question?!</p>','2013-03-11 23:08:00'),('449da998dd675dc8544039e63f622a82',1,'<p>What is the best Portal in the world?</p>','2013-03-12 11:05:10'),('crf22',1,'Do you like ...?','2013-03-12 16:38:30'),('crf23',1,'Do you like ...?','2013-03-12 16:38:30'),('crf24',1,'Do you like ...?','2013-03-13 13:15:32'),('crf25',1,'Do you like ...?','2013-03-13 13:15:32'),('d8338025f11929dea5150aa9d44b3472',1,'<p>Question</p>','2013-03-17 07:55:19'),('9b8b00ed3cb341f51a2014ea32d936d9',1,'<p>Question 1</p>','2013-03-18 10:26:40'),('597385d3384814ab520804ca0b2e1ac7',1,'<p>Question 2</p>','2013-03-18 10:26:40'),('ca5c1625531a7bf84b7cb3d7514890ce',1,'<p>Question 3</p>','2013-03-18 10:26:40'),('767b0c49fd08f6fe92074fcce04a5fb7',1,'<p>Question 4</p>','2013-03-18 10:26:40'),('b48c34fcc7123c33936be90813dd4d24',1,'<p>Question 5</p>','2013-03-18 10:26:40'),('c3964493ecf81bec72b9cffabc704e14',1,'<p>Question 6</p>','2013-03-18 10:26:40'),('41a34b88343b65789d18e2a1c79b9fd7',1,'<p>Question 7</p>','2013-03-18 10:26:40');
/*!40000 ALTER TABLE `gportal_question` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_remembered_pages`
--

DROP TABLE IF EXISTS `gportal_remembered_pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_remembered_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `collection_id` varchar(255) DEFAULT NULL,
  `page_id` varchar(255) DEFAULT NULL,
  `url` text,
  `additional` text,
  `image` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `remembered_pages_idx` (`collection_id`)
) ENGINE=MyISAM AUTO_INCREMENT=51 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_remembered_pages`
--

LOCK TABLES `gportal_remembered_pages` WRITE;
/*!40000 ALTER TABLE `gportal_remembered_pages` DISABLE KEYS */;
INSERT INTO `gportal_remembered_pages` VALUES (1,'jsp7pjinm8oiehfjd81s0k8c47','8043','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/rememberedpages.html','a:0:{}',NULL,'Remebered Pages','2013-02-19 12:00:36'),(2,'bmqva0e7nubjhlovk6pcboqca5','8041','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/history.html','a:0:{}',NULL,'History','2013-02-20 09:12:03'),(3,'bmqva0e7nubjhlovk6pcboqca5','8043','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/rememberedpages.html','a:0:{}',NULL,'Remebered Pages','2013-02-20 09:21:35'),(4,'1','150','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Login.en.html','a:0:{}',NULL,'Login','2013-02-23 14:18:57'),(5,'1','150','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Login.en.html','a:0:{}',NULL,'Login','2013-02-23 14:18:57'),(6,'1','3850','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/news/2012/Publish-news.en.html','a:0:{}',NULL,'How easy it can be to publish news!','2013-02-24 18:32:30'),(20,'epvh5o2avekuic11cpe68nr5m3','8043','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/rememberedpages.html','a:0:{}',NULL,'Remembered Pages','2013-02-28 12:47:09'),(10,'1','4067','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/news/2012/News-Overview_2012.en.html','a:0:{}',NULL,'News-Overview 2012','2013-02-28 10:57:46'),(11,'1','4067','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/news/2012/News-Overview_2012.en.html','a:0:{}',NULL,'News-Overview 2012','2013-02-28 10:57:50'),(12,'1','4067','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/news/2012/News-Overview_2012.en.html','a:0:{}',NULL,'News-Overview 2012','2013-02-28 10:57:55'),(21,'epvh5o2avekuic11cpe68nr5m3','8043','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/rememberedpages.html','a:0:{}',NULL,'Remembered Pages','2013-02-28 13:18:48'),(22,'epvh5o2avekuic11cpe68nr5m3','8043','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/rememberedpages.html','a:0:{}',NULL,'Remembered Pages','2013-02-28 13:25:02'),(23,'i6o1ohblo7gsrv7ilkbjpjqap2','151','http://gportal-dev-fscr-frontend.gentics.com/Content.Node/service/Registration.en.html','a:0:{}',NULL,'Registration','2013-03-05 04:25:24'),(24,'i6o1ohblo7gsrv7ilkbjpjqap2','151','http://gportal-dev-fscr-frontend.gentics.com/Content.Node/service/Registration.en.html','a:0:{}',NULL,'Registration','2013-03-05 04:25:27'),(25,'lefp044pvus2agcm9r5vspnef0','16','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/news/News-Overview.en.html','a:0:{}',NULL,'News Overview','2013-03-06 13:38:50'),(26,'1','3882','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Search_enhanced.en.html','a:0:{}',NULL,'Search enhanced','2013-03-07 15:31:24'),(27,'1','3882','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Search_enhanced.en.html','a:0:{}',NULL,'Search enhanced','2013-03-07 15:31:26'),(28,'1','3882','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Search_enhanced.en.html','a:0:{}',NULL,'Search enhanced','2013-03-07 15:31:28'),(29,'1','3882','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Search_enhanced.en.html','a:0:{}',NULL,'Search enhanced','2013-03-07 15:31:29'),(30,'1','3882','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Search_enhanced.en.html','a:0:{}',NULL,'Search enhanced','2013-03-07 15:31:30'),(31,'1','3882','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Search_enhanced.en.html','a:0:{}',NULL,'Search enhanced','2013-03-07 15:31:31'),(32,'1','3882','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Search_enhanced.en.html','a:0:{}',NULL,'Search enhanced','2013-03-07 15:31:32'),(33,'1','3882','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Search_enhanced.en.html','a:0:{}',NULL,'Search enhanced','2013-03-07 15:31:33'),(34,'1','3882','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Search_enhanced.en.html','a:0:{}',NULL,'Search enhanced','2013-03-07 15:31:35'),(35,'hlk5qormveepouvqn6eb1svri5','3793','http://gportal-dev-fscr-frontend.gentics.com/Content.Node/service/Registration.de.html','a:0:{}',NULL,'Registrierung','2013-03-07 20:48:37'),(36,'hlk5qormveepouvqn6eb1svri5','3793','http://gportal-dev-fscr-frontend.gentics.com/Content.Node/service/Registration.de.html','a:0:{}',NULL,'Registrierung','2013-03-07 20:48:40'),(37,'1','8048','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/intranet/examples/Examples.en.html','a:0:{}',NULL,'Examples','2013-03-09 23:55:34'),(38,'1','8048','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/intranet/examples/Examples.en.html','a:0:{}',NULL,'Examples','2013-03-10 00:00:59'),(39,'tou1j35srvc30lavgnhf17g7q0','4067','http://gportal-dev-fscr-frontend.gentics.com/Content.Node/news/2012/News-Overview_2012.en.html','a:0:{}',NULL,'News-Overview 2012','2013-03-11 15:30:28'),(40,'tou1j35srvc30lavgnhf17g7q0','4067','http://gportal-dev-fscr-frontend.gentics.com/Content.Node/news/2012/News-Overview_2012.en.html','a:0:{}',NULL,'News-Overview 2012','2013-03-11 15:30:33'),(41,'tou1j35srvc30lavgnhf17g7q0','16','http://gportal-dev-fscr-frontend.gentics.com/Content.Node/news/News-Overview.en.html','a:0:{}',NULL,'News Overview','2013-03-11 21:14:45'),(42,'1','8049','http://gportal-dev-fscr-frontend.gentics.com/Content.Node/news/2011/Austrian_Foreign_Economics_Organization_WKO_-_flexib.en.html','a:0:{}',NULL,'Austrian Foreign Economics Organization WKO - flexible around the world','2013-03-11 21:37:03'),(43,'9jprncic8v803mr56fs1uhinu0','3809','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/error/404.en.html','a:0:{}',NULL,'404 - not found','2013-03-19 12:17:32'),(44,'9jprncic8v803mr56fs1uhinu0','3809','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/error/404.en.html','a:0:{}',NULL,'404 - not found','2013-03-19 12:17:34'),(45,'9jprncic8v803mr56fs1uhinu0','3809','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/error/404.en.html','a:0:{}',NULL,'404 - not found','2013-03-19 12:17:36'),(46,'9jprncic8v803mr56fs1uhinu0','3809','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/error/404.en.html','a:0:{}',NULL,'404 - not found','2013-03-19 12:17:38'),(47,'rvb6k9k1rf2rcps2pgc3ggue55','4067','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/news/2012/News-Overview_2012.en.html','a:0:{}',NULL,'News-Overview 2012','2013-03-22 12:45:55'),(48,'7ormp8i47ph8a92n711f356ta4','3881','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Suche_erweitert.de.html','a:0:{}',NULL,'Suche erweitert','2013-03-24 03:50:51'),(49,'7ormp8i47ph8a92n711f356ta4','3881','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Suche_erweitert.de.html','a:0:{}',NULL,'Suche erweitert','2013-03-24 03:50:57'),(50,'rc4imu9tsquubbn1t8vrvei6a0','3882','http://gportal-dev-dcr-frontend.gentics.com/Content.Node/service/Search_enhanced.en.html','a:0:{}',NULL,'Search enhanced','2013-03-25 21:47:22');
/*!40000 ALTER TABLE `gportal_remembered_pages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_settings`
--

DROP TABLE IF EXISTS `gportal_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `settings` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_settings`
--

LOCK TABLES `gportal_settings` WRITE;
/*!40000 ALTER TABLE `gportal_settings` DISABLE KEYS */;
INSERT INTO `gportal_settings` VALUES (1,'a:1:{s:18:\"defaultLandingPage\";s:0:\"\";}');
/*!40000 ALTER TABLE `gportal_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_templates`
--

DROP TABLE IF EXISTS `gportal_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_templates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `json` text,
  `user` varchar(255) NOT NULL DEFAULT '',
  `global` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_templates`
--

LOCK TABLES `gportal_templates` WRITE;
/*!40000 ALTER TABLE `gportal_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `gportal_templates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_tmp_user`
--

DROP TABLE IF EXISTS `gportal_tmp_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_tmp_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `parent_user_id` int(11) DEFAULT NULL,
  `salutation` varchar(255) NOT NULL,
  `firstname` varchar(255) NOT NULL,
  `lastname` varchar(255) NOT NULL,
  `birthday` date DEFAULT NULL,
  `company` varchar(255) DEFAULT NULL,
  `street` varchar(255) NOT NULL,
  `zip_code` varchar(255) NOT NULL,
  `city` varchar(255) NOT NULL,
  `country` varchar(255) NOT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `email` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_tmp_user`
--

LOCK TABLES `gportal_tmp_user` WRITE;
/*!40000 ALTER TABLE `gportal_tmp_user` DISABLE KEYS */;
INSERT INTO `gportal_tmp_user` VALUES (20,0,NULL,'','','','1970-01-01',NULL,'','','','',NULL,'');
/*!40000 ALTER TABLE `gportal_tmp_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_user_answer`
--

DROP TABLE IF EXISTS `gportal_user_answer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_user_answer` (
  `answer_id` int(11) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  `additional` text,
  `created` datetime DEFAULT NULL,
  KEY `answer_user_id_idx` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_user_answer`
--

LOCK TABLES `gportal_user_answer` WRITE;
/*!40000 ALTER TABLE `gportal_user_answer` DISABLE KEYS */;
INSERT INTO `gportal_user_answer` VALUES (5,'1','a:2:{s:8:\"pageName\";s:14:\"Page 595080600\";s:10:\"userStatus\";s:16:\"Status 507975453\";}','2013-03-11 23:08:10'),(6,'1','a:2:{s:8:\"pageName\";s:14:\"Page 595080600\";s:10:\"userStatus\";s:16:\"Status 507975453\";}','2013-03-11 23:08:10'),(7,'1','a:2:{s:8:\"pageName\";s:14:\"Page 595080600\";s:10:\"userStatus\";s:16:\"Status 507975453\";}','2013-03-11 23:08:10'),(5,'1','a:2:{s:8:\"pageName\";s:14:\"Page 386340271\";s:10:\"userStatus\";s:16:\"Status 691349639\";}','2013-03-12 10:23:33'),(6,'1','a:2:{s:8:\"pageName\";s:14:\"Page 386340271\";s:10:\"userStatus\";s:16:\"Status 691349639\";}','2013-03-12 10:23:33'),(7,'1','a:2:{s:8:\"pageName\";s:14:\"Page 386340271\";s:10:\"userStatus\";s:16:\"Status 691349639\";}','2013-03-12 10:23:33'),(8,'1','a:2:{s:8:\"pageName\";s:14:\"Page 386340271\";s:10:\"userStatus\";s:16:\"Status 691349639\";}','2013-03-12 10:23:33'),(6,'2','a:2:{s:8:\"pageName\";s:15:\"Page 2058713043\";s:10:\"userStatus\";s:15:\"Status 79599003\";}','2013-03-12 12:34:27'),(7,'2','a:2:{s:8:\"pageName\";s:15:\"Page 2058713043\";s:10:\"userStatus\";s:15:\"Status 79599003\";}','2013-03-12 12:34:27'),(9,'1','a:2:{s:8:\"pageName\";s:14:\"Page 347089114\";s:10:\"userStatus\";s:15:\"Status 62119519\";}','2013-03-12 13:30:58'),(10,'1','a:2:{s:8:\"pageName\";s:14:\"Page 347089114\";s:10:\"userStatus\";s:15:\"Status 62119519\";}','2013-03-12 13:30:58'),(11,'1','a:2:{s:8:\"pageName\";s:14:\"Page 347089114\";s:10:\"userStatus\";s:15:\"Status 62119519\";}','2013-03-12 13:30:58'),(7,'1','a:2:{s:8:\"pageName\";s:13:\"Page 38958006\";s:10:\"userStatus\";s:17:\"Status 2132305373\";}','2013-03-12 17:48:06'),(10,'1','a:2:{s:8:\"pageName\";s:15:\"Page 1691401853\";s:10:\"userStatus\";s:17:\"Status 1106880665\";}','2013-03-12 18:01:49'),(6,'1','a:2:{s:8:\"pageName\";s:14:\"Page 169121569\";s:10:\"userStatus\";s:17:\"Status 1692929019\";}','2013-03-13 09:42:04'),(7,'1','a:2:{s:8:\"pageName\";s:14:\"Page 169121569\";s:10:\"userStatus\";s:17:\"Status 1692929019\";}','2013-03-13 09:42:04'),(12,'cj9sfg7e9d64rnku1n5jf98cj0','a:2:{s:8:\"pageName\";s:15:\"Page 2093567388\";s:10:\"userStatus\";s:16:\"Status 461232355\";}','2013-03-13 13:04:26'),(18,'cj9sfg7e9d64rnku1n5jf98cj0','a:2:{s:8:\"pageName\";s:14:\"Page 951602170\";s:10:\"userStatus\";s:16:\"Status 937430117\";}','2013-03-13 13:10:59'),(19,'cj9sfg7e9d64rnku1n5jf98cj0','a:2:{s:8:\"pageName\";s:14:\"Page 951602170\";s:10:\"userStatus\";s:16:\"Status 937430117\";}','2013-03-13 13:10:59'),(17,'cj9sfg7e9d64rnku1n5jf98cj0','a:2:{s:8:\"pageName\";s:15:\"Page 1922657955\";s:10:\"userStatus\";s:17:\"Status 1717837500\";}','2013-03-13 13:12:57'),(18,'cj9sfg7e9d64rnku1n5jf98cj0','a:2:{s:8:\"pageName\";s:15:\"Page 1922657955\";s:10:\"userStatus\";s:17:\"Status 1717837500\";}','2013-03-13 13:12:57'),(15,'fqt1kuprhlun23juu58upf6pu4','a:2:{s:8:\"pageName\";s:15:\"Page 1282039841\";s:10:\"userStatus\";s:16:\"Status 117566900\";}','2013-03-13 18:30:34'),(16,'fqt1kuprhlun23juu58upf6pu4','a:2:{s:8:\"pageName\";s:15:\"Page 1603279397\";s:10:\"userStatus\";s:16:\"Status 463820083\";}','2013-03-13 18:31:08'),(17,'fqt1kuprhlun23juu58upf6pu4','a:2:{s:8:\"pageName\";s:15:\"Page 1603279397\";s:10:\"userStatus\";s:16:\"Status 463820083\";}','2013-03-13 18:31:08'),(18,'fqt1kuprhlun23juu58upf6pu4','a:2:{s:8:\"pageName\";s:15:\"Page 1603279397\";s:10:\"userStatus\";s:16:\"Status 463820083\";}','2013-03-13 18:31:08'),(13,'kvc8gm462teiekdhoguk4ks624','a:2:{s:8:\"pageName\";s:15:\"Page 1553425052\";s:10:\"userStatus\";s:15:\"Status 84610772\";}','2013-03-14 09:34:51'),(16,'kvc8gm462teiekdhoguk4ks624','a:2:{s:8:\"pageName\";s:15:\"Page 1920125866\";s:10:\"userStatus\";s:17:\"Status 1019686942\";}','2013-03-14 09:34:58'),(12,'fqt1kuprhlun23juu58upf6pu4','a:2:{s:8:\"pageName\";s:15:\"Page 1466103700\";s:10:\"userStatus\";s:17:\"Status 1553415429\";}','2013-03-14 12:45:26'),(17,'fqt1kuprhlun23juu58upf6pu4','a:2:{s:8:\"pageName\";s:14:\"Page 333883804\";s:10:\"userStatus\";s:17:\"Status 1206058871\";}','2013-03-14 12:47:44'),(18,'fqt1kuprhlun23juu58upf6pu4','a:2:{s:8:\"pageName\";s:14:\"Page 333883804\";s:10:\"userStatus\";s:17:\"Status 1206058871\";}','2013-03-14 12:47:44'),(16,'kvc8gm462teiekdhoguk4ks624','a:2:{s:8:\"pageName\";s:15:\"Page 1460252112\";s:10:\"userStatus\";s:17:\"Status 1048587850\";}','2013-03-14 12:58:24'),(17,'kvc8gm462teiekdhoguk4ks624','a:2:{s:8:\"pageName\";s:15:\"Page 1460252112\";s:10:\"userStatus\";s:17:\"Status 1048587850\";}','2013-03-14 12:58:24'),(12,'fqt1kuprhlun23juu58upf6pu4','a:2:{s:8:\"pageName\";s:15:\"Page 1641459031\";s:10:\"userStatus\";s:17:\"Status 1562142155\";}','2013-03-14 13:27:46'),(16,'fqt1kuprhlun23juu58upf6pu4','a:2:{s:8:\"pageName\";s:15:\"Page 2127593006\";s:10:\"userStatus\";s:17:\"Status 1080280411\";}','2013-03-14 13:27:53'),(17,'fqt1kuprhlun23juu58upf6pu4','a:2:{s:8:\"pageName\";s:15:\"Page 2127593006\";s:10:\"userStatus\";s:17:\"Status 1080280411\";}','2013-03-14 13:27:53'),(12,'fep8ao9jhu6u1keimloddbuvu6','a:2:{s:8:\"pageName\";s:14:\"Page 202389740\";s:10:\"userStatus\";s:17:\"Status 1099601216\";}','2013-03-14 13:28:12'),(12,'fep8ao9jhu6u1keimloddbuvu6','a:2:{s:8:\"pageName\";s:14:\"Page 202389740\";s:10:\"userStatus\";s:17:\"Status 1099601216\";}','2013-03-14 13:28:12'),(12,'djjff699sm3o05f0eqpbs7jsu2','a:2:{s:8:\"pageName\";s:15:\"Page 1642319862\";s:10:\"userStatus\";s:17:\"Status 1863629704\";}','2013-03-14 13:35:55'),(16,'djjff699sm3o05f0eqpbs7jsu2','a:2:{s:8:\"pageName\";s:15:\"Page 1872879812\";s:10:\"userStatus\";s:17:\"Status 1107999405\";}','2013-03-14 13:36:01'),(17,'djjff699sm3o05f0eqpbs7jsu2','a:2:{s:8:\"pageName\";s:15:\"Page 1872879812\";s:10:\"userStatus\";s:17:\"Status 1107999405\";}','2013-03-14 13:36:01'),(9,'1','a:2:{s:8:\"pageName\";s:15:\"Page 1104011369\";s:10:\"userStatus\";s:17:\"Status 1184452344\";}','2013-03-14 14:04:30'),(38,'h65m19t82l88kmomghf8l5oiq0','a:2:{s:8:\"pageName\";s:15:\"Page 1024049282\";s:10:\"userStatus\";s:16:\"Status 898766460\";}','2013-03-18 11:19:32'),(43,'g982vmtma6rf7e7d03idfjpgk7','a:2:{s:8:\"pageName\";s:15:\"Page 1869096245\";s:10:\"userStatus\";s:16:\"Status 181040555\";}','2013-03-22 20:48:44'),(44,'g982vmtma6rf7e7d03idfjpgk7','a:2:{s:8:\"pageName\";s:15:\"Page 1869096245\";s:10:\"userStatus\";s:16:\"Status 181040555\";}','2013-03-22 20:48:44'),(45,'g982vmtma6rf7e7d03idfjpgk7','a:2:{s:8:\"pageName\";s:15:\"Page 1869096245\";s:10:\"userStatus\";s:16:\"Status 181040555\";}','2013-03-22 20:48:44'),(34,'fh75f5ultghe81k1mbkla62l93','a:2:{s:8:\"pageName\";s:15:\"Page 1161013684\";s:10:\"userStatus\";s:17:\"Status 2078749913\";}','2013-03-29 09:48:12'),(9,'1','a:2:{s:8:\"pageName\";s:14:\"Page 359248295\";s:10:\"userStatus\";s:17:\"Status 1157955320\";}','2013-03-29 15:20:10'),(10,'1','a:2:{s:8:\"pageName\";s:14:\"Page 359248295\";s:10:\"userStatus\";s:17:\"Status 1157955320\";}','2013-03-29 15:20:10'),(34,'d5p27l1qk7h532nk7ubnamlk24','a:2:{s:8:\"pageName\";s:14:\"Page 106917640\";s:10:\"userStatus\";s:17:\"Status 1710777991\";}','2013-03-29 15:34:42'),(31,'d5p27l1qk7h532nk7ubnamlk24','a:2:{s:8:\"pageName\";s:14:\"Page 879878213\";s:10:\"userStatus\";s:17:\"Status 1261150626\";}','2013-03-29 15:41:18'),(32,'d5p27l1qk7h532nk7ubnamlk24','a:2:{s:8:\"pageName\";s:14:\"Page 879878213\";s:10:\"userStatus\";s:17:\"Status 1261150626\";}','2013-03-29 15:41:18'),(33,'d5p27l1qk7h532nk7ubnamlk24','a:2:{s:8:\"pageName\";s:14:\"Page 879878213\";s:10:\"userStatus\";s:17:\"Status 1261150626\";}','2013-03-29 15:41:18'),(43,'1','a:2:{s:8:\"pageName\";s:15:\"Page 1123881024\";s:10:\"userStatus\";s:15:\"Status 29843989\";}','2013-03-29 21:17:24'),(44,'1','a:2:{s:8:\"pageName\";s:15:\"Page 1123881024\";s:10:\"userStatus\";s:15:\"Status 29843989\";}','2013-03-29 21:17:24');
/*!40000 ALTER TABLE `gportal_user_answer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_user_personalisation_attributes`
--

DROP TABLE IF EXISTS `gportal_user_personalisation_attributes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_user_personalisation_attributes` (
  `user_id` int(11) NOT NULL,
  `personalisation_attribute_id` int(11) NOT NULL,
  PRIMARY KEY (`user_id`,`personalisation_attribute_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_user_personalisation_attributes`
--

LOCK TABLES `gportal_user_personalisation_attributes` WRITE;
/*!40000 ALTER TABLE `gportal_user_personalisation_attributes` DISABLE KEYS */;
INSERT INTO `gportal_user_personalisation_attributes` VALUES (1,11),(1,16),(1,20),(1,24),(1,28),(1,35),(1,38),(1,42),(1,45),(1,48),(2,11),(2,24),(2,48),(12,28),(12,38),(12,42),(12,45),(14,11),(14,16),(14,20),(14,24),(14,28),(14,35),(14,38),(14,42),(14,48),(30,11),(30,16),(30,20),(30,24),(30,48),(191038,48),(191041,48),(191088,48),(191089,11),(191089,16),(191089,20),(191089,24),(191089,28),(191089,35),(191089,38),(191089,42),(191089,45),(191089,48);
/*!40000 ALTER TABLE `gportal_user_personalisation_attributes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gportal_users`
--

DROP TABLE IF EXISTS `gportal_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gportal_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(255) DEFAULT NULL,
  `password` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `activkey` varchar(255) NOT NULL,
  `createtime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `lastvisit` timestamp NULL DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '0',
  `is_bulk` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `email` (`email`),
  KEY `status` (`status`)
) ENGINE=MyISAM AUTO_INCREMENT=561117 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gportal_users`
--

LOCK TABLES `gportal_users` WRITE;
/*!40000 ALTER TABLE `gportal_users` DISABLE KEYS */;
INSERT INTO `gportal_users` VALUES (1,'admin','21232f297a57a5a743894a0e4a801fc3','webmaster@gentics.com','ec60291ac3b3bd4c9dd9a890d3f1805f','2012-12-13 09:05:35',NULL,1,0),(2,'demo','21232f297a57a5a743894a0e4a801fc3','demo@gentics.com','4ecd269bdbab0843dbd37920866ee10e','2012-12-13 09:05:35',NULL,1,0),(9,'editor','5aee9dbd2a188839105073571bee1b1f','editor@gentics.com','08082374cb5a8b2a93dab7f3992780fb','2012-06-13 08:05:35',NULL,1,0),(10,'Klaus-M. Schremser','','klaus@apps.gentics.com','','2012-06-13 08:05:35',NULL,1,0),(11,'nico','410ec15153a6dff0bed851467309bcbd','n.spataro@gentics.com','891ab2434c06b02741bdd811a777212a','2012-06-13 08:05:35',NULL,1,0),(12,'Nico Spataro','','nicospataro@apps.gentics.com','','2012-06-13 08:05:35',NULL,1,0),(13,'testtest1','6a204bd89f3c8348afd5c77c717a097a','n.spataro8@gentics.com','a149dd66de65c80c040d5ca38ebc2f90','2012-06-13 08:05:35',NULL,1,0),(26,'gentics','e7efda40b1c94805070cd9bf9638ae27','gentics@schremser.com','84b79d8b538200f4d6433d263ff10fc7','2012-06-13 08:05:35',NULL,1,0),(201112,'aghamanoukjan','f91909939fd08e1df2349c6f5dbc4e64','m.aghamanoukjan@gentics.com','3d4643f4ff635fcfddbf65d51121f57e','2012-10-18 08:39:54',NULL,1,0),(201110,'philippdoerre','ae2b1fca515949e5d54fb22b8ed95575','p.doerre@gentics.com','6eae1dee82c95c8f9ff24a9ba4baeba7','2012-10-05 11:45:10',NULL,1,0),(201111,'demouser123','587aa70285a35542a58f6ce0d2f9b224','demouser123@gentics.com','dcdf5319f6c20f666350eed2a82da89d','2012-10-07 18:01:06',NULL,0,0),(561112,'Bernhard Kaszt','','bernhardkaszt@apps.gentics.com','','2013-02-13 10:40:18',NULL,1,0),(561115,'draftkraft','1059309d81890ae351d5e56240572b11','h.meran@gentics.com','d4f8099819168bbb7181267536a3bd6e','2013-03-22 14:12:34',NULL,1,0),(561116,'Manuel Aghamanoukjan','','manuel@apps.gentics.com','','2013-03-25 16:44:18',NULL,1,0);
/*!40000 ALTER TABLE `gportal_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `templates`
--

DROP TABLE IF EXISTS `templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `templates` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `json` text NOT NULL,
  `user` varchar(255) NOT NULL DEFAULT '',
  `global` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `templates`
--

LOCK TABLES `templates` WRITE;
/*!40000 ALTER TABLE `templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `templates` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-03-30 20:34:57
